{% extends 'base.html' %}

{% block content %}
    <h2>Conversora de Bases Numéricas</h2>
    <form method="post">
        {% csrf_token %}
        <label for="input_number">Número:</label>
        <input type="text" name="input_number">
        <button type="submit">Calcular</button>
    </form>
    <ul>
        {% for data in base_converter_data %}
            <li>{{ data.input_number }} -> Dec: {{ data.decimal_result }} | Bin: {{ data.binary_result }} | Oct: {{ data.octal_result }} | Hex: {{ data.hexadecimal_result }}</li>
        {% endfor %}
    </ul>
{% endblock %}
